Ubuntu

Untranslated Yelp main page (Ubuntu Help Center)

Reported by Ricardo Pérez López on 2009-10-14
62
This bug affects 9 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Medium
James M. Leddy
Ubuntu Translations
High
heere pomare
yelp (Ubuntu)
High
heere pomare

Bug Description

Binary package hint: yelp

The Yelp main page (System->Help and support) is shown untranslated.

What needs to be done is to add the translations exported from Launchpad to the package (attached to the bug report) and upload and build it with them.

Related branches

Ricardo Pérez López (ricardo) wrote :
Matthew East (mdke) wrote :

I can reproduce this bug with Spanish and Italian language support installed. It's also been reported as a problem with Russian, so I think we can assume this applies to all languages.

Changed in yelp (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-9.10
status: New → Confirmed
Aron Xu (happyaron) on 2009-10-15
Changed in ubuntu-translations:
importance: Undecided → High
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package yelp - 2.28.0-0ubuntu2

---------------
yelp (2.28.0-0ubuntu2) karmic; urgency=low

  * debian/patches/07_rosetta_translations_update.patch:
    - updated rosetta translations (lp: #451673)

 -- Sebastien Bacher <email address hidden> Thu, 15 Oct 2009 15:59:46 +0200

Changed in yelp (Ubuntu):
status: Confirmed → Fix Released
Ricardo Pérez López (ricardo) wrote :

Thanks!

David Planella (dpm) on 2009-10-21
Changed in ubuntu-translations:
status: Triaged → Fix Released
Ricardo Pérez López (ricardo) wrote :

Should I reopen it again for Lucid?

Gabor Kelemen (kelemeng) wrote :

Reopening for Maverick. The Yelp main page is mostly untranslated.

Changed in ubuntu-translations:
status: Fix Released → Triaged
Changed in yelp (Ubuntu):
status: Fix Released → Confirmed
David Planella (dpm) wrote :

I'm attaching the Maverick Yelp translations exported from Launchpad, so it is easier to fix the bug.

CPKS (c-1) wrote :

Confirmed: Here in the UK it says "Ubuntu Help Center" [sic] - strange American spellings.

Steve Magoun (smagoun) on 2010-12-15
Changed in oem-priority:
status: New → Triaged
status: Triaged → Confirmed
David Planella (dpm) on 2010-12-16
description: updated
Kyle Nitzsche (knitzsche) wrote :

David P. Thank you for providing the translations.

I used them in a project as follows:

I created a patch that essentially is those translations dropped in the po directory.

There is one issue: "Assistive Tools" is not in any po file or the pot, and I was not immediately sure how to update them from source. (Indeed there source references are to files that don't exists (such as data/toc.xml.in.h) and must be generated. However, I needed that string translated for zh_CN and so I manually added it to the po file with a translation provided by a colleague. This is most certainly not absolutely correct).

Attached find the patch.

On a side note, I found that if install-info package is not installed, yelp fails to launch the Ubuntu Help Center - it terminates with segfault. I thus added install-info as a depends to my version, but this is not in the patch, naturally, since it is in debian/control.

El dj 16 de 12 de 2010 a les 16:59 +0000, en/na Kyle Nitzsche va
escriure:
> David P. Thank you for providing the translations.
>
> I used them in a project as follows:
>
> I created a patch that essentially is those translations dropped in the
> po directory.
>
> There is one issue: "Assistive Tools" is not in any po file or the pot,
> and I was not immediately sure how to update them from source. (Indeed
> there source references are to files that don't exists (such as
> data/toc.xml.in.h) and must be generated. However, I needed that string
> translated for zh_CN and so I manually added it to the po file with a
> translation provided by a colleague. This is most certainly not
> absolutely correct).
>

I believe that particular string is Ubuntu-specific and comes from
somewhere else (gnome-user-docs or ubuntu-docs?), so you might need to
pull the translations from there. Have a look at the existing patches in
the package, I thought they'd be there already.

You might want to ask seb128 for the details, IIRC he's been doing the
yelp translation updates in the past.

> Attached find the patch.
>
> On a side note, I found that if install-info package is not installed,
> yelp fails to launch the Ubuntu Help Center - it terminates with
> segfault. I thus added install-info as a depends to my version, but this
> is not in the patch, naturally, since it is in debian/control.
>
>
>
> ** Patch added: "front-page-translations.patch"
> https://bugs.launchpad.net/ubuntu/+source/yelp/+bug/451673/+attachment/1767875/+files/front-page-translations.patch
>

--
David Planella
Ubuntu Translations Coordinator
www.ubuntu.com / www.davidplanella.wordpress.com
www.identi.ca/dplanella / www.twitter.com/dplanella

tags: added: patch
Kyle Nitzsche (knitzsche) wrote :
Download full text (4.0 KiB)

Yes David.

On further investigation, I think there are some packaging issues around "Assistive Tools" that prevent this topic from being dislayed localized in Maverick.

In short, I think the Ubuntu gnome language packs do not install the localized Assistive Tools content, which is a gnome-user-guide topic.

Here's how it looks to me.

Yelp looks for localized content here:
/usr/share/gnome/help/TOPIC/LANG/

In Ubuntu, there are links installed there that point to the following location:
/usr/share/gnome/help-langpack/TOPIC/LANG

So yelp tries to open files where it expects them but actually ends up opening files that exist in another location because of the links.

A closer look. First I'l show a topic that works, then show this topic, which is broken, for comparisoon.

The TOPIC that works is 'newtoubuntu' and the LANG is zh_CN.

The newtoubuntu LINK is installed by ubuntu-docs package:

$ ls -alh /usr/share/gnome/help/newtoubuntu/zh_CN/newtoubuntu.xml lrwxrwxrwx 1 root root 64 2010-12-14 14:26 /usr/share/gnome/help/newtoubuntu/zh_CN/newtoubuntu.xml -> /usr/share/gnome/help-langpack/newtoubuntu/zh_CN/newtoubuntu.xml
$ dpkg -S /usr/share/gnome/help/newtoubuntu/zh_CN/newtoubuntu.xml
ubuntu-docs: /usr/share/gnome/help/newtoubuntu/zh_CN/newtoubuntu.xml

The newtoubuntu LINK TARGET is installed by language-pack-gnome-zh-hans-base:

$ ls -alh /usr/share/gnome/help-langpack/newtoubuntu/zh_CN/newtoubuntu.xml
-rw-r--r-- 1 root root 49K 2010-09-20 04:59 /usr/share/gnome/help-langpack/newtoubuntu/zh_CN/newtoubuntu.xml
$ dpkg -S /usr/share/gnome/help-langpack/newtoubuntu/zh_CN/newtoubuntu.xml
language-pack-gnome-zh-hans-base: /usr/share/gnome/help-langpack/newtoubuntu/zh_CN/newtoubuntu.xml

This works. That is, one sees localized "New to Ubuntu" on the front page of the Ubuntu Help Center displayed in yelp.

Now lets look at broken TOPIC gnome-access-guide ("Assisitive Tools").

The gnome-access-guide LINK is installed by gnome-user-guide-zh package:

$ ls -alh /usr/share/gnome/help/gnome-access-guide/zh_CN/gnome-access-guide.xmllrwxrwxrwx 1 root root 78 2010-12-16 14:45 /usr/share/gnome/help/gnome-access-guide/zh_CN/gnome-access-guide.xml -> /usr/share/gnome/help-langpack/gnome-access-guide/zh_CN/gnome-access-guide.xml
$ dpkg -S /usr/share/gnome/help/gnome-access-guide/zh_CN/gnome-access-guide.xml
gnome-user-guide-zh: /usr/share/gnome/help/gnome-access-guide/zh_CN/gnome-access-guide.xml

The gnome-access-guide LINK TARGET is not installed by ANY package:

$ dpkg -S /usr/share/gnome/help-langpack/gnome-access-guide/zh_CN/gnome-access-guide.xml
dpkg: /usr/share/gnome/help-langpack/gnome-access-guide/zh_CN/gnome-access-guide.xml not found.
$ cd /usr/share/gnome/help-langpack/gnome-access-guide/zh_CN/
bash: cd: /usr/share/gnome/help-langpack/gnome-access-guide/zh_CN/: No such file or directory
$ cd /usr/share/gnome/help-langpack/gnome-access-guide/
bash: cd: /usr/share/gnome/help-langpack/gnome-access-guide/: No such file or directory
$ cd /usr/share/gnome/help-langpack/

Even though I have what would seem to be the right lang packs installed:
$ apt-cache policy language-pack-gnome-zh
language-pack-gnome-zh:
  Installed: 1:10.04+20091218
  ...

Read more...

Kyle Nitzsche (knitzsche) wrote :

It turns out that, as expected, language-pack-gnome-LANG-base does not install the gnome topic (from the gnome-user-guide) or the required omf file.

Kyle Nitzsche (knitzsche) wrote :

I created a new bug to track the issue with "Assistive Tools" not being translated: 692665.

So this bug (451673) should only track respinning yelp to pick up the translations that David added in comment #7.

Martin Pitt (pitti) on 2010-12-23
Changed in yelp (Ubuntu):
milestone: ubuntu-9.10 → none
Martin Pitt (pitti) wrote :

This is mostl likely a duplicate of bug 692665.

David Planella (dpm) wrote :

Hi Martin,

I don't think this is a duplicate, but as you might know more about it, I'll leave it up to you to decide if it's worth unduplicating

* Bug #692665 is about the "Assistive Tools" string not being translated because of language packs missing the gnome-user-guide translations. This might require a fix in lang-pack-o-matic.

* The present bug is about the main page of yelp being untranslated because translations were not exported from Launchpad and put in the package before release. This concerns strings such as "Welcome to the Ubuntu Help Center" and I believe it requires a new yelp upload including the translations added as an attachment to this bug.

Martin Pitt (pitti) wrote :

It looked like the yelp main page also came from gnome-user-guide; it seemed strange to me that an automated process of PO file exports would just forgot about one page. But I undup'ed it for now, let's revisit that once we have new langpack builds.

Steve Magoun (smagoun) on 2011-02-28
Changed in oem-priority:
importance: Undecided → Medium
David Planella (dpm) wrote :

A quick update regarding the status in Natty:

We're now using Yelp 3, which has not yet got an Ubuntu Help Center front page and it's a different codebase (using Mallard). I started a related discussion on the ubuntu-doc mailing list a few days ago [1], and Shaun McCance explained in detail the alternatives for Ubuntu to have it's own main help document on [2] and [3].

In any case, the present bug refers to Yelp 2. I think we should open a new bug specific to the Ubuntu Natty documentation with Yelp 3, which will require a different set of actions to solve than the current bug.

[1] https://lists.ubuntu.com/archives/ubuntu-doc/2011-February/015464.html
[2] https://lists.ubuntu.com/archives/ubuntu-doc/2011-February/015465.html
[3] https://lists.ubuntu.com/archives/ubuntu-doc/2011-February/015469.html

Kyle Nitzsche (knitzsche) wrote :

Since the ubunutu-docs team has changed the approach for Ubuntu Help Center docs (including the yelp default home page) for natty to one based on gnome 3 mallard topics modified and amended to fit natty, I wonder whether this bug is still valid (I doubt it).

Matthew East, can you please comment?

Gabor Kelemen (kelemeng) wrote :

Kyle: this is still valid for Maverick, but not for Natty.

Matthew East (mdke) wrote :

Note re comment 16 - I don't think this is correct. In Maverick and prior releases, the material on the yelp frontpage comes from the yelp package, not gnome-user-docs. So this seems definitely to be an issue with yelp.

heere pomare (1982hp) on 2011-05-21
Changed in oem-priority:
status: Confirmed → Fix Committed
Changed in ubuntu-translations:
status: Triaged → Fix Committed
Changed in yelp (Ubuntu):
status: Confirmed → Fix Committed
assignee: nobody → heere pomare (1982hp)
Changed in ubuntu-translations:
assignee: nobody → heere pomare (1982hp)
Changed in oem-priority:
assignee: nobody → James M. Leddy (jm-leddy)
Gabor Kelemen (kelemeng) wrote :

Maverick is EOL now, let's say this is "fixed".

Changed in ubuntu-translations:
status: Fix Committed → In Progress
status: In Progress → Fix Released
Changed in yelp (Ubuntu):
status: Fix Committed → Fix Released
Steve Magoun (smagoun) on 2012-04-30
Changed in oem-priority:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions